//+------------------------------------------------------------------+
//|                                                  My window 1.mqh |
//|                                  Copyright 2024, MetaQuotes Ltd. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+//***********************************************************************************************************************************************
NEW_WINDOW,     
//----------------------------------------------
W_NAME,  "PAD",  
//----------------------------------------------
W_TYPE,  SETTINGS,    
//----------------------------------------------
W_ICON, 11,        
//----------------------------------------------
OOI,
//----------------------------------------------
MARGINS,7,7,
//----------------------------------------------
     
//***********************************************************************************************************************************************
//===============================================================================================================================================
GROUP,A,
//------------------------------------------------------------------------------------------------------------------------------------
__, REC, "R1",   H,25,_,H_GRADIENT,_,N_FRAME,0, _,NG_LINES, 43,_,NG_STEP, -1, _,N_COLOR, (int)C'25,158,210',
//------------------------------------------------------------------------------------------------------------------------------------
__, REC, "R2",   H,40,  _,N_FRAME,0,_,N_COLOR, (int)C'35,158,210', 
//------------------------------------------------------------------------------------------------------------------------------------
__, REC, "R3",   H,35, _,N_COLOR, (int)C'169,190,200',  
//------------------------------------------------------------------------------------------------------------------------------------

  
END_GROUP, 
//----------------------------------------------
i, AT,   _X2X, "MF", 1,     _Y2Y, "MF", 1,  


i,RECS,  W, 998,  END, 
//=================================================================================================================================================

//=================================================================================================================================================
GROUP, "Tabs",

__,  H_TAB, "Trades",   H_TAB,"Detailed Report", ON,     H_TAB,"Distribution Deals", H_TAB, "Distribution Time",

END_GROUP,
//---------------------------------
i, AT, _X2X,"MF", 1, _H2H,"R3", 0,
//---------------------------------
i, SWITCH_ALL,
//------------------------------------------------------------------------------------------------------------------------------------
"Trades",             IS_APPEARANCE_CONTROLLER, "G_folders",                     END,
//------------------------------------------------------------------------------------------------------------------------------------
"Detailed Report",    IS_APPEARANCE_CONTROLLER, "Table of Parameters",           END,
//------------------------------------------------------------------------------------------------------------------------------------
"Distribution Deals", IS_APPEARANCE_CONTROLLER, "Frame FR1",                     END,
//------------------------------------------------------------------------------------------------------------------------------------
i, H_TABS, H,30,   
//---------------------------------------
   FONT_SIZE,10,
   //------------------------------------  
   NG_LINES, 15, 
   //------------------------------------
   NG_STEP, -2,  
   //------------------------------------
   N_COLOR,(int)C'225,225,225', 
   //------------------------------------
   A_COLOR,(int)C'255,255,255', 
   //------------------------------------
   AH_COLOR,(int)C'255,255,255',
   //------------------------------------
   FRAME_TYPE, _abc,
   //------------------------------------
   W, 200,
   //------------------------------------
   END,
//===================================================================================================================================================


//===================================================================================================================================================
GROUP,"vbox",

__, V_BOX,"V1",  W, 995,  _,H,398,   _,N_FRAME,0,

END_GROUP,
//------------------------------------

i, AT, _X2X,"Trades", 0, _Y2H,"Trades", -1,

//====================================================================================================================================================

//====================================================================================================================================================
GROUP,"G_folders",
//--------------------------------------------
__,  G_FOLDER, "Table of all current positions and history",  
//-------------------------------------------- 
__,  G_FOLDER, "Account",   
//--------------------------------------------
__,  G_FOLDER, "Filters",   
//--------------------------------------------
END_GROUP,
//--------------------------------------------

//--------------------------------------------
i, AT, _X2X, "V1", 0, _Y2Y, "V1", 30,
//------------
i, IN,"V1",
//------------
i, Y_GAP,30,
//---------------------------------------
i, G_FOLDERS, 
   //------------------------------------
   FONT_SIZE, 15,  
   //------------------------------------
   text,N_COLOR, (int)clrBlue, 
   //------------------------------------
   text,NH_COLOR, (int)clrBlue,
   //------------------------------------ 
   text,AH_COLOR,(int)clrGreen,
   //------------------------------------ 
   text,A_COLOR, (int)clrRed,  
   //------------------------------------
   W,995, 
   //------------------------------------
   END,
//====================================================================================================================================================


//===================================================================================================================================
GROUP,"Table of Parameters",  IS_TABLE, 
//------------------------------------------------------------------------------------------------------------------------------------

__,T_HEADER," 1",  C_HEADER,"Ticket", C_HEADER,"Symbol",C_HEADER,"Type",C_HEADER,"Lots",C_HEADER,"OpenTime",C_HEADER,"Open",
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 2",  CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 3",  CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 4",  CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 5",  CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 6",  CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 7",  CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 8",  CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 9",  CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 10", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A,
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 11", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A,
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 12", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 13", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 14", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 15", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 16", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 17", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 18", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 19", CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
//------------------------------------------------------------------------------------------------------------------------------------
__,R_HEADER," 20",CELL,A, CELL,A,CELL,A,CELL,A,CELL,A,CELL,A, 
///-----------------------------------------------------------------------------------------------------------------------------------

END_GROUP,
//--------------------------------------------
i, IN,"V1",
//-------------------
i, AT, LEFT_TOP,2,2,
//-------------------
i,X_GAP,-1,
//-------------------
i,Y_GAP,-1,
//-------------------
i,IS_ZEBRA_STYLE,
//-------------------

//--------------------------------------------
" 1", N_COLOR, (int)C'205,255,255',
//--------------------------------------------
i, C_HEADERS,  NG_LINES, 20, NG_STEP, -1,  N_COLOR,(int)C'135,208,250', END,
//--------------------------------------------
i, R_HEADERS,   NG_LINES, 7, NG_STEP, -5,  N_COLOR,(int)C'169,190,200', END,
//--------------------------------------------
i, CELLS,  text,_A1_,_X2X,    text,_C1_,5,  END,
//--------------------------------------------
"Profit",    PAINT_VALUES,
//--------------------------------------------
"Pips  ",    PAINT_VALUES,
//--------------------------------------------
"Net Profit",PAINT_VALUES,
//--------------------------------------------
"%       ",  PAINT_VALUES,
//--------------------------------------------
"Balance",   PAINT_VALUES,
//--------------------------------------------
"Max    ",   PAINT_VALUES,
//--------------------------------------------
"Min    ",   PAINT_VALUES,
//--------------------------------------------
//===================================================================================================================================
 
//==============================================================================================================================================================================================
GROUP,A, 

__,H_LINE,"HL1",  
__,BOARD,"Deposit", W,180,   _,text, N_COLOR, (int)clrGreen,          VALUE," Deposit", text, N_COLOR, (int)clrGreen,  BOARD,"Expected Payoff",   W,180,  VALUE," Expected Payoff",     BOARD,"Recovery FACTOR",    W,180,     VALUE," Recovery FACTOR",
__,BOARD,"Profit Factor",     W,180,    VALUE," Profit Factor",          BOARD,"Floating PL",   W,180,      VALUE," Floating PL",           BOARD,"Margin",   W,180,               VALUE," Margin",
__,BOARD,"Closed Trade PL",   W,180,    VALUE," Closed Trade PL",          BOARD,"Equity",        W,180,      VALUE," Equity",           BOARD,"Free Margin",  W,180,           VALUE," Free Margin",

__,H_LINE,A,   
                                                  
__,BOARD,"Gross Profit",      W,180,   VALUE," Gross Profit",        BOARD,"Gross Loss",            W,180,  VALUE," Gross Loss",        BOARD,"Total NetProfit",      W,180,    VALUE," Total NetProfit", 
__,BOARD,"Absolute Drowdown", W,180, VALUE," Absolute Drowdown",          BOARD,"Maximal Drowdown",      W,180, VALUE," Maximal Drowdown",      BOARD,"Relative Drowdown",    W,180,    VALUE," Relative Drowdown",
__,BOARD,"Total Trades",      W,180, VALUE," Total Trades",          BOARD,"Short Positions(won%)", W,180,VALUE," Short Positions(won%)",          BOARD,"Long Positions(won%)", W,180,    VALUE," Long Positions(won%)",

__,H_LINE,A,  
__,BOARD,"Balance ",          W,180,   _,text,N_COLOR, (int)clrBlue,       VALUE," Balance ",  BOARD,"Profit Trades(%)", W,180,_,text, N_COLOR, (int)clrGreen,     VALUE," Profit Trades(%)",     BOARD,"Loss Trades(%)", W,180,_,text, N_COLOR, (int)clrRed,     VALUE," Loss Trades(%)",       
  
__,H_LINE,A,  
   
__,BOARD,"Largest",           W,330,                 BOARD,"Profit Trade",        W,180,     VALUE," Profit Trade",            BOARD,"Loss Trade",         W,180,    VALUE," Loss Trade",
__,BOARD,"Average",           W,330,                 BOARD,"Profit Trade ",       W,180,     VALUE," Profit Trade ",            BOARD,"Loss Trade ",        W,180,    VALUE," Loss Trade ", 
__,BOARD,"Maximum",           W,330,                 BOARD,"consecutive wins",    W,180,     VALUE," consecutive wins",            BOARD,"consecutive losses", W,180,    VALUE," consecutive losses",
__,BOARD,"Maximal",           W,330,                 BOARD,"consecutive profit",  W,180,     VALUE," consecutive profit",            BOARD,"consecutive loss",   W,180,    VALUE," consecutive loss",

__,H_LINE,A,  
END_GROUP,
//--------------------------
i, IN,"F2",
i, AT, LEFT_TOP,2,2,
i, FONT_SIZE,11, 
i,VALUES,H,19,W,152,  N_COLOR, (int)C'252,252,252',   END,
i, BOARDS,   N_COLOR, (int)C'252,252,252',          text,_A1_,_X2X,    text,_C1_,5,     END,
i, H_LINES, H,34,W,996,N_COLOR, (int)C'242,242,242', END,
i,Y_GAP,1,

//==============================================================================================================================================================================================
//==============================================================================================================================================================================================
GROUP,A, 

__,VALUE,"  Maximal Drowdown ",__UNITS,"( ",  _,UNITS__," %)",

__,VALUE,"  Short Positions(won%)",, __UNITS,"( ",  _,UNITS__," %)",  GAP,230,  VALUE,"  Long Positions(won%)",__UNITS,"( ",  _,UNITS__," %)",  

GAP,35,

__,VALUE,"  Profit Trades(%)",__UNITS,"( ",  _,UNITS__," %)",   GAP,230,   VALUE,"  Loss Trades(%)",__UNITS,"( ",  _,UNITS__," %)",


GAP,77,

__,VALUE,"  consecutive wins",__UNITS,"( ",  _,UNITS__," %)",   GAP,230,   VALUE,"  consecutive losses",__UNITS,"( ",  _,UNITS__," %)", 

__,VALUE,"  consecutive profit",__UNITS,"( ",  _,UNITS__," %)",   GAP,230,   VALUE,"  consecutive loss",__UNITS,"( ",  _,UNITS__," %)",


END_GROUP,
//------------------------
i, IN,"F2",
i, AT, _X2X," Maximal Drowdown", 50, _Y2Y," Maximal Drowdown",0,
i, FONT_SIZE,11, 
i,VALUES,H,19,W,100,  N_COLOR, (int)C'252,252,252',  PAINT_VALUES,   END,
i,Y_GAP,1,
//==============================================================================================================================================================================================
//==============================================================================================================================================================================================


GROUP, A,   


__,BOARD,"Main statistic parameters", 

GAP,80,

__,BOARD,"Additional parameters", 

GAP,80,

__,BOARD,"  Balance  ", 

GAP,40,

__,BOARD,"Extra parameters",
           
          
END_GROUP,
//---------------------------
i, IN,"F2",

i,AT,_C2C,"HL1", 0,  _H2H,"HL1", -10,
i, BOARDS, W,900, N_COLOR, (int)C'222,222,222',    END,
//==============================================================================================================================================================================================
//==============================================================================================================================================================================================

GROUP, A,

__,CHECKBOX,"All symbols",

__,CHECKBOX,"All dates",

__,H_LINE,A,

__,CHECKBOX,"GBPUSD",

__,CHECKBOX,"EURUSD",

__,CHECKBOX,"USDCAD",

__,CHECKBOX,"EURCHF",

__,CHECKBOX,"USDJPY",

__,CHECKBOX,"EURJPY",

__,CHECKBOX,"USDCHF",

__,H_LINE,A,

__,CHECKBOX,"2016.Mar",

__,CHECKBOX,"2016.Feb",

__,CHECKBOX,"2016.Jan",




END_GROUP,
//---------------------------
i, IN,"F4",
i,AT, LEFT_TOP,10,10,  
i,CHECKBOXES,N_COLOR, (int)C'235,235,255', A_COLOR, (int)C'235,235,255',  AH_COLOR, (int)C'235,235,255', POINTED,1,   AP_COLOR, (int)C'235,245,255',END,
i,Y_GAP,10,
//==============================================================================================================================================================================================

//===================================================================================================================================
END_WINDOW,
